Bug 1787612 - Gnome shell fails to start
Summary: Gnome shell fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorgxrdp
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Roskin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-03 16:15 UTC by mm19827
Modified: 2020-01-19 00:35 UTC (History)
3 users (show)

Fixed In Version: xorgxrdp-0.2.12-4.fc30 xorgxrdp-0.2.12-2.fc31 xorgxrdp-0.2.12-2.el8 xorgxrdp-0.2.12-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-12 01:15:59 UTC
Type: Bug


Attachments (Terms of Use)
Error log (1.99 KB, text/plain)
2020-01-03 16:15 UTC, mm19827
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github neutrinolabs xorgxrdp issues 156 0 None None None 2020-01-03 19:41:04 UTC

Description mm19827 2020-01-03 16:15:55 UTC
Created attachment 1649457 [details]
Error log

Description of problem:
After update to xorgxrdp v0.2.12 Gnome shell does not start.
This problem does not occur with v0.2.11

Version-Release number of selected component (if applicable):
v0.2.12

How reproducible:
Always

Steps to Reproduce:
1. Fedora 30 VM running in a Win10 host.
2. Start an RDP (tcp) session to the VM and select Xorg
3.

Actual results:
Gnome desktop not available

Expected results:
Gnome desktop available

Additional info:
The error appears to be related with the update of xorgxrdp that denies RANDR RRSetScreenSize requests. See attached log.

Comment 1 Fedora Update System 2020-01-03 20:37:35 UTC
FEDORA-2020-4cc57c1cc9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4cc57c1cc9

Comment 2 Fedora Update System 2020-01-03 20:37:36 UTC
FEDORA-2020-61786117f7 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-61786117f7

Comment 3 Fedora Update System 2020-01-03 20:37:38 UTC
FEDORA-EPEL-2020-7f62b9c67c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f62b9c67c

Comment 4 Fedora Update System 2020-01-03 20:37:39 UTC
FEDORA-EPEL-2020-7dc6a9e9e5 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7dc6a9e9e5

Comment 5 Fedora Update System 2020-01-04 20:24:25 UTC
xorgxrdp-0.2.12-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7dc6a9e9e5

Comment 6 Fedora Update System 2020-01-04 20:35:43 UTC
xorgxrdp-0.2.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f62b9c67c

Comment 7 Fedora Update System 2020-01-04 21:18:34 UTC
xorgxrdp-0.2.12-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-61786117f7

Comment 8 Fedora Update System 2020-01-04 22:24:47 UTC
xorgxrdp-0.2.12-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4cc57c1cc9

Comment 9 Fedora Update System 2020-01-12 01:15:59 UTC
xorgxrdp-0.2.12-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-01-12 01:42:54 UTC
xorgxrdp-0.2.12-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-01-19 00:19:46 UTC
xorgxrdp-0.2.12-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-01-19 00:35:26 UTC
xorgxrdp-0.2.12-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.